# Hosted Integration APIs

### Payment Page Integration

This is the traditional integration method which will send the buyer information to the payment gateway hosted payment page. You may want to explore seamless integration, Direct Server API, mobile xdk or supported shopping cart payment modules for better user experience beside this hosted payment page integration on github repositories. Recurring API is also available for card payment and DirectDebit.Request Parameters

### Initiating Payment

Passing parameters to the payment gateway hosted payment page using POST/GET method via HTTPS or SSL connection will initiate a payment request from the merchant system.

**REQUEST URL**

* Production: <https://pg.e2pay.co.id/RMS/pay/MerchantID/Payment_Method>
* Sandbox: <https://pg-sandbox.e2pay.co.id/RMS/pay/MerchantID/Payment_Method>

**MerchantID:** mandatory value to identify merchant;

**Payment\_Method:** optional value to identify payment channel; Payment channel can be identified by using  <mark style="color:purple;">**channel filename**</mark>, or pass the *<mark style="color:purple;">**channel parameter**</mark>* to index.php using GET/POST method.

The URL is an API to accept POST/GET parameters from the merchant site as well as the payment page for buyers. For merchants who use the POST method please include the “ / “ after ***MerchantID*** on the URL.The required request parameters are provided in the [Hosted integration Request Parameters section](/payment-gateway/api-documentation/technical-doc-of-fiuu-id/payment-request-parameters/hosted-integration.md).

<mark style="color:orange;">**WARNING:**</mark> Loading the bank login page or authorization page into iframe is not recommended as most of the banks or channels will block all cross-origin requests and treat it as an XFS, XSS, and CSRF attack.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://e2payprod.gitbook.io/payment-gateway/api-documentation/technical-doc-of-fiuu-id/hosted-integration-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
